name: "Deploy to Netlify"

on:
  push:
    branches:
      - main

jobs:
  deploy:
    name: "Deploy Hugo site to Netlify"
    steps:
      - uses: https://gitea.oakcityit.net/Zeronaut/nbco-hugo-web/checkout@v3
        name: Checkout
        with:
          registry: gitea.oakcityit.net
          username: ${{ secrets.REPO_USER }}
          password: ${{ secrets.REPO_TOKEN }}
      - name: Build
        run: |
          hugo version
          hugo
      - uses: https://github.com/nwtgck/actions-netlify@v2.0
        name: Deploy
        with:
          publish-dir: "./dist"
          production-deploy: true
          github-token: ${{ secrets.GITHUB_TOKEN }}
          deploy-message: "Deployed from Gitea Action"
          enable-commit-comment: false
          enable-pull-request-comment: false
          overwrites-pull-request-comment: true
          enable-github-deployment: false
        env:
          NETLIFY_SITE_ID: ${{ secrets.NETLIFY_SITE_ID }}
          NETLIFY_AUTH_TOKEN: ${{ secrets.NETLIFY_AUTH_TOKEN }}
        timeout-minutes: 1
